GRC(1)

NAME
grc - frontend for generic colouriser grcat(1)

SYNOPSIS
grc [options] command [args]

DESCRIPTION
grc will execute command command with optional parameters [args] piping its stdout or stderr into grcat, with apropriate configuration file. Configuration file for grc is determined by /etc/grc.conf file. Format of /etc/grc.conf: each entry consists of 2 lines, between entries there can be any number of empty lines or lines beginning with # (comments) First line is regular expression, second line the name of configuration file for grcat. Configuration file after the first regular expression matching command [args] will be passed to grcat as its configuration file

OPTIONS

--help
    Show summary of options.

--version
    Display version.

-e --stderr
    Redirect error output. Unless -s is selected as well, this cancels redirection of standard output via grcat

-s --stdout
    Redirect standard output. Used to redirect standard output together with --stderr option.

--colour=x
    x is one of on off auto --colour=on will colourise (default) --colour=off will just execute command without colourising. --colour=auto will test if standard output is a tty, and colourise only when it is.

SEE ALSO
grcat(1)

AUTHOR
Written by Radovan Garabík <garabik @ kassiopeia.juls.savba.sk>